Plus de wifi sur wheezy avec le driver b43

Le
Jean Baptiste FAVRE
--BEGIN PGP SIGNED MESSAGE--
Hash: SHA1

Bonjour,
J'ai fait une grosse mise à jour de mon netbook sous Wheezy et je
n'arrive plus à me connecter en Wifi
Network-manager (en version 0.8.3.999-1) refuse d'activer le Wifi (en
fait, il ne réagit pas).

Un downgrade de network-manager plus tard, il me dit maintenant que "le
périphérique n'est pas prêt".

Pourtant, la carte est bien reconnue:
[ 2.037654] b43-pci-bridge 0000:02:00.0: PCI INT A -> GSI 28 (level,
low) -> IRQ 28
[ 2.037674] b43-pci-bridge 0000:02:00.0: setting latency timer to 64
[ 14.779854] b43-phy0: Broadcom 4312 WLAN found (core revision 15)
[ 14.974734] Registered led device: b43-phy0::tx
[ 14.974771] Registered led device: b43-phy0::rx
[ 14.974807] Registered led device: b43-phy0::radio

Les firmware sont installés:
dpkg -l|grep firmware-b43
ii firmware-b43-lpphy-installer 4.174.64.19-4
Installer package for firmware for the b43 driver (LP-PHY version)

Ce qui est bizarre, c'est qu'avant, je crois me souvenir que le driver
chargeait un bout de firmware; maintenant, plus trace de ce chargement.

Une idée ?
JB
--BEGIN PGP SIGNATURE--
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk2zDHwACgkQM2eZoKJfKd2O/QCfdT8X3Y6IvweEL627PF1rTg2j
HeIAoLWUkNcHekuMv3vyEeWi3om8VqTH
=RyDz
--END PGP SIGNATURE--

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Archive: http://lists.debian.org/4DB30C7C.2030308@jbfavre.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Laurent Guignard
Le #23320301
--yrj/dFKFPuw6o+aM
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Sat, 23 Apr 2011 19:29:32 +0200, Jean Baptiste FAVRE wrote:
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Bonjour,
J'ai fait une grosse mise à jour de mon netbook sous Wheezy et je
n'arrive plus à me connecter en Wifi
Network-manager (en version 0.8.3.999-1) refuse d'activer le Wifi (en
fait, il ne réagit pas).

Un downgrade de network-manager plus tard, il me dit maintenant que "le
périphérique n'est pas prêt".

Pourtant, la carte est bien reconnue:
[ 2.037654] b43-pci-bridge 0000:02:00.0: PCI INT A -> GSI 28 (level,
low) -> IRQ 28
[ 2.037674] b43-pci-bridge 0000:02:00.0: setting latency timer to 64
[ 14.779854] b43-phy0: Broadcom 4312 WLAN found (core revision 15)
[ 14.974734] Registered led device: b43-phy0::tx
[ 14.974771] Registered led device: b43-phy0::rx
[ 14.974807] Registered led device: b43-phy0::radio

Les firmware sont installés:
dpkg -l|grep firmware-b43
ii firmware-b43-lpphy-installer 4.174.64.19-4
Installer package for firmware for the b43 driver (LP-PHY version)

Ce qui est bizarre, c'est qu'avant, je crois me souvenir que le driver
chargeait un bout de firmware; maintenant, plus trace de ce chargement.

Une idée ?
JB




Bonjour,

Oui je viens d'installer le noyau 2.6.38 en architecture 686 et j'observe le
même problème. En 2.6.32 j'avais du installé le module broadcom-sta v ia
module-assistant et cela fonctionnait.
En 2.6.38, même avec module-assistant je n'arrive pas à utiliser le Wif i.
J'attends une prochaine version du noyau et je suis retourné en 2.6.32...

Peut-être quelqu'un a-t-il trouvé la solution ?

Librement.
Laurent

--
Laurent Guignard, Registered as user #301590 with the Linux Counter
Site : http://www.famille-guignard.org
Blog : http://blog.famille-guignard.org
Projet : http://sicontact.sourceforge.net
GULL de Villefranche sur Saône : http://www.cagull.org

--yrj/dFKFPuw6o+aM
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNuQdpAAoJEG2myXvbsReYpwUP/3rE7LJzqAoHQVwlHYvtqPxf
FGkLPFTTVlLf4gnp/hzLDWm1II+6wJazikyOczvlYrStzYEUIUhvyHW8c+u3a5V7
Xa//xh+MQEdSPxS0U+WAjIlGH54hsp1i8JxLFUwmpK+HOBjypmQmCp1PJd5LvLMD
hpRq7PY/7BLNv5bist+NGwsY+dHgZ3lj01WpGjv9O2In8Ggc1CgWoDaOkGytQzFp
nYMp0oZR0B9Lzwu/6F6y33ZQz4wddk8m8QAn0Au1To3gXBsavdR4oE08Xjb3J8uj
G1yqPzTipvdJWHmWxjpIcPo/6Evh9RknBIS809wTT/gRROelUB++gJbbyqfqWLnl
DWpKaNIo8wHAhFfdRrFknLPDKwdYAEXPDW6Z6CEiE2QAFasV6I2u++Sn0Rdb5MnC
FIOp62s48bdub7kP9T83oj9fY/70vJ53y1A+4Wmj5G/03x6biIzPwVI2D25OZlKB
eq1TIXTLBP6MaohRySQY0fO1JuPjCwxzYBWNAU8IVcciQuz7f1Dssy5sXRWyy2bR
nr1Uwj27EX/trcA/WTvSZpQVuLH8qH/AWOmUC9PROfa2U52fria/Yl5Ld/R6qz0m
dbMLTbc5uk8f7GURG/W8cBO3Y6npjOZFU9hDb7GHM42f181tIDl5ieAN9wvMDqL7
TRlZcLinkDYw230QuLwQ
=HRpU
-----END PGP SIGNATURE-----

--yrj/dFKFPuw6o+aM--

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Bernard Schoenacker
Le #23320381
Le Thu, 28 Apr 2011 08:21:29 +0200,
Laurent Guignard
On Sat, 23 Apr 2011 19:29:32 +0200, Jean Baptiste FAVRE wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Bonjour,
> J'ai fait une grosse mise à jour de mon netbook sous Wheezy et je
> n'arrive plus à me connecter en Wifi
> Network-manager (en version 0.8.3.999-1) refuse d'activer le Wifi
> (en fait, il ne réagit pas).
>
> Un downgrade de network-manager plus tard, il me dit maintenant que
> "le périphérique n'est pas prêt".
>
> Pourtant, la carte est bien reconnue:
> [ 2.037654] b43-pci-bridge 0000:02:00.0: PCI INT A -> GSI 28
> (level, low) -> IRQ 28
> [ 2.037674] b43-pci-bridge 0000:02:00.0: setting latency timer
> to 64 [ 14.779854] b43-phy0: Broadcom 4312 WLAN found (core
> revision 15) [ 14.974734] Registered led device: b43-phy0::tx
> [ 14.974771] Registered led device: b43-phy0::rx
> [ 14.974807] Registered led device: b43-phy0::radio
>
> Les firmware sont installés:
> dpkg -l|grep firmware-b43
> ii firmware-b43-lpphy-installer 4.174.64.19-4
> Installer package for firmware for the b43 driver (LP-PHY version)
>
> Ce qui est bizarre, c'est qu'avant, je crois me souvenir que le
> driver chargeait un bout de firmware; maintenant, plus trace de ce
> chargement.
>
> Une idée ?
> JB


Bonjour,

Oui je viens d'installer le noyau 2.6.38 en architecture 686 et
j'observe le même problème. En 2.6.32 j'avais du installé le module
broadcom-sta via module-assistant et cela fonctionnait.
En 2.6.38, même avec module-assistant je n'arrive pas à utiliser le
Wifi. J'attends une prochaine version du noyau et je suis retourné en
2.6.32...

Peut-être quelqu'un a-t-il trouvé la solution ?

Librement.
Laurent



Bonjour,

qui a ommis de mettre dkms et module-assistant en place ?

slt
bernard

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Jean Baptiste FAVRE
Le #23320801
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 29/04/2011 20:48, Bernard Schoenacker wrote:
Le Thu, 28 Apr 2011 08:21:29 +0200,
Laurent Guignard
On Sat, 23 Apr 2011 19:29:32 +0200, Jean Baptiste FAVRE wrote:
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Bonjour,
J'ai fait une grosse mise à jour de mon netbook sous Wheezy et je
n'arrive plus à me connecter en Wifi
Network-manager (en version 0.8.3.999-1) refuse d'activer le Wifi
(en fait, il ne réagit pas).

Un downgrade de network-manager plus tard, il me dit maintenant que
"le périphérique n'est pas prêt".

Pourtant, la carte est bien reconnue:
[ 2.037654] b43-pci-bridge 0000:02:00.0: PCI INT A -> GSI 28
(level, low) -> IRQ 28
[ 2.037674] b43-pci-bridge 0000:02:00.0: setting latency timer
to 64 [ 14.779854] b43-phy0: Broadcom 4312 WLAN found (core
revision 15) [ 14.974734] Registered led device: b43-phy0::tx
[ 14.974771] Registered led device: b43-phy0::rx
[ 14.974807] Registered led device: b43-phy0::radio

Les firmware sont installés:
dpkg -l|grep firmware-b43
ii firmware-b43-lpphy-installer 4.174.64.19-4
Installer package for firmware for the b43 driver (LP-PHY version)

Ce qui est bizarre, c'est qu'avant, je crois me souvenir que le
driver chargeait un bout de firmware; maintenant, plus trace de ce
chargement.

Une idée ?
JB




Bonjour,

Oui je viens d'installer le noyau 2.6.38 en architecture 686 et
j'observe le même problème. En 2.6.32 j'avais du installé le module
broadcom-sta via module-assistant et cela fonctionnait.
En 2.6.38, même avec module-assistant je n'arrive pas à utiliser le
Wifi. J'attends une prochaine version du noyau et je suis retourné en
2.6.32...

Peut-être quelqu'un a-t-il trouvé la solution ?

Librement.
Laurent



Bonjour,

qui a ommis de mettre dkms et module-assistant en place ?

slt
bernard



Euh... pas moi: j'ai le problème avec les 2 drivers: b43 et broadcom-sta

Pour une raison que j'ignore, network-manager estime que la carte n'est
pas utilisable et positionne le soft-switch.
Pour le débloquer, l'utilisation de rfkill est obligatoire.

Après quelques tets supplémentaires, je me suis aperçu que wicd parvient
à faire fonctionner le wifi sans problème. Je me dis donc qu'il ne
s'agit pas d'un souci driver.
Par contre, sur un autre portable, le wifi fonctionne parfaitement avec
la même version de network-manager et le driver ath9k

J'ai bien essayé de revenir en noyau 2.6.32, mais sans changement :(
Je vais retenter le coup ce week-end pour voir (la première fois, je ne
crois pas avoir utilisé rfkill).

En attendant, j'ai soumis un rapport de bug sur network-manager:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bugb3863

Wait & see,
JB
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk27L9EACgkQM2eZoKJfKd2OtwCgpnBJAcZss+suM3LkcLamyPMW
vXMAn1NbdVf9qc3ANjIJyVEVhhSbx7hN
=zEJy
-----END PGP SIGNATURE-----

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Jean Baptiste FAVRE
Le #23320841
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 29/04/2011 23:38, Jean Baptiste FAVRE wrote:
On 29/04/2011 20:48, Bernard Schoenacker wrote:
Le Thu, 28 Apr 2011 08:21:29 +0200,
Laurent Guignard


On Sat, 23 Apr 2011 19:29:32 +0200, Jean Baptiste FAVRE wrote:
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Bonjour,
J'ai fait une grosse mise à jour de mon netbook sous Wheezy et je
n'arrive plus à me connecter en Wifi
Network-manager (en version 0.8.3.999-1) refuse d'activer le Wifi
(en fait, il ne réagit pas).

Un downgrade de network-manager plus tard, il me dit maintenant que
"le périphérique n'est pas prêt".

Pourtant, la carte est bien reconnue:
[ 2.037654] b43-pci-bridge 0000:02:00.0: PCI INT A -> GSI 28
(level, low) -> IRQ 28
[ 2.037674] b43-pci-bridge 0000:02:00.0: setting latency timer
to 64 [ 14.779854] b43-phy0: Broadcom 4312 WLAN found (core
revision 15) [ 14.974734] Registered led device: b43-phy0::tx
[ 14.974771] Registered led device: b43-phy0::rx
[ 14.974807] Registered led device: b43-phy0::radio

Les firmware sont installés:
dpkg -l|grep firmware-b43
ii firmware-b43-lpphy-installer 4.174.64.19-4
Installer package for firmware for the b43 driver (LP-PHY version)

Ce qui est bizarre, c'est qu'avant, je crois me souvenir que le
driver chargeait un bout de firmware; maintenant, plus trace de ce
chargement.

Une idée ?
JB




Bonjour,

Oui je viens d'installer le noyau 2.6.38 en architecture 686 et
j'observe le même problème. En 2.6.32 j'avais du installé le module
broadcom-sta via module-assistant et cela fonctionnait.
En 2.6.38, même avec module-assistant je n'arrive pas à utiliser le
Wifi. J'attends une prochaine version du noyau et je suis retourné en
2.6.32...

Peut-être quelqu'un a-t-il trouvé la solution ?

Librement.
Laurent





Bonjour,



qui a ommis de mettre dkms et module-assistant en place ?



slt
bernard



Euh... pas moi: j'ai le problème avec les 2 drivers: b43 et broadcom-sta

Pour une raison que j'ignore, network-manager estime que la carte n'est
pas utilisable et positionne le soft-switch.
Pour le débloquer, l'utilisation de rfkill est obligatoire.

Après quelques tets supplémentaires, je me suis aperçu que wicd parvient
à faire fonctionner le wifi sans problème. Je me dis donc qu'il ne
s'agit pas d'un souci driver.
Par contre, sur un autre portable, le wifi fonctionne parfaitement avec
la même version de network-manager et le driver ath9k

J'ai bien essayé de revenir en noyau 2.6.32, mais sans changement :(
Je vais retenter le coup ce week-end pour voir (la première fois, je ne
crois pas avoir utilisé rfkill).

En attendant, j'ai soumis un rapport de bug sur network-manager:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bugb3863

Wait & see,
JB



Bon, mea culpa, mea maxima culpa.
Je viens de tester le noyau 2.6.32 et le wifi re-fonctionne.
Donc, il s'agirati bien d'un problème kernel.

Du coup Bernard, pourquoi aurais-je besoin de dkms avec le driver b43 ?
Le driver broadcom-sta, je veux bien (quoique module-assistant suffise
d'après moi), mais le "vieux" b43 ?

Cordialement,
JB
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk27MyYACgkQM2eZoKJfKd3CHwCghzhsVW98SLOVZywE1CQ87QhG
ixAAmwWrsLy8u+Qp6xZipRq01Z57BMu2
=4S2k
-----END PGP SIGNATURE-----

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Bernard Schoenacker
Le #23321231
Le Fri, 29 Apr 2011 23:52:40 +0200,
Jean Baptiste FAVRE
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 29/04/2011 23:38, Jean Baptiste FAVRE wrote:
> On 29/04/2011 20:48, Bernard Schoenacker wrote:
>> Le Thu, 28 Apr 2011 08:21:29 +0200,
>> Laurent Guignard >
>>> On Sat, 23 Apr 2011 19:29:32 +0200, Jean Baptiste FAVRE wrote:
>>>> -----BEGIN PGP SIGNED MESSAGE-----
>>>> Hash: SHA1
>>>>
>>>> Bonjour,
>>>> J'ai fait une grosse mise à jour de mon netbook sous Wheezy et je
>>>> n'arrive plus à me connecter en Wifi
>>>> Network-manager (en version 0.8.3.999-1) refuse d'activer le Wifi
>>>> (en fait, il ne réagit pas).
>>>>
>>>> Un downgrade de network-manager plus tard, il me dit maintenant
>>>> que "le périphérique n'est pas prêt".
>>>>
>>>> Pourtant, la carte est bien reconnue:
>>>> [ 2.037654] b43-pci-bridge 0000:02:00.0: PCI INT A -> GSI 28
>>>> (level, low) -> IRQ 28
>>>> [ 2.037674] b43-pci-bridge 0000:02:00.0: setting latency timer
>>>> to 64 [ 14.779854] b43-phy0: Broadcom 4312 WLAN found (core
>>>> revision 15) [ 14.974734] Registered led device: b43-phy0::tx
>>>> [ 14.974771] Registered led device: b43-phy0::rx
>>>> [ 14.974807] Registered led device: b43-phy0::radio
>>>>
>>>> Les firmware sont installés:
>>>> dpkg -l|grep firmware-b43
>>>> ii firmware-b43-lpphy-installer 4.174.64.19-4
>>>> Installer package for firmware for the b43 driver (LP-PHY
>>>> version)
>>>>
>>>> Ce qui est bizarre, c'est qu'avant, je crois me souvenir que le
>>>> driver chargeait un bout de firmware; maintenant, plus trace de
>>>> ce chargement.
>>>>
>>>> Une idée ?
>>>> JB
>>>
>>>
>>> Bonjour,
>>>
>>> Oui je viens d'installer le noyau 2.6.38 en architecture 686 et
>>> j'observe le même problème. En 2.6.32 j'avais du installé le
>>> module broadcom-sta via module-assistant et cela fonctionnait.
>>> En 2.6.38, même avec module-assistant je n'arrive pas à utiliser
>>> le Wifi. J'attends une prochaine version du noyau et je suis
>>> retourné en 2.6.32...
>>>
>>> Peut-être quelqu'un a-t-il trouvé la solution ?
>>>
>>> Librement.
>>> Laurent
>
>> Bonjour,
>
>> qui a ommis de mettre dkms et module-assistant en place ?
>
>> slt
>> bernard
>
> Euh... pas moi: j'ai le problème avec les 2 drivers: b43 et
> broadcom-sta
>
> Pour une raison que j'ignore, network-manager estime que la carte
> n'est pas utilisable et positionne le soft-switch.
> Pour le débloquer, l'utilisation de rfkill est obligatoire.
>
> Après quelques tets supplémentaires, je me suis aperçu que wicd
> parvient à faire fonctionner le wifi sans problème. Je me dis donc
> qu'il ne s'agit pas d'un souci driver.
> Par contre, sur un autre portable, le wifi fonctionne parfaitement
> avec la même version de network-manager et le driver ath9k
>
> J'ai bien essayé de revenir en noyau 2.6.32, mais sans changement :(
> Je vais retenter le coup ce week-end pour voir (la première fois,
> je ne crois pas avoir utilisé rfkill).
>
> En attendant, j'ai soumis un rapport de bug sur network-manager:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bugb3863
>
> Wait & see,
> JB

Bon, mea culpa, mea maxima culpa.
Je viens de tester le noyau 2.6.32 et le wifi re-fonctionne.
Donc, il s'agirati bien d'un problème kernel.

Du coup Bernard, pourquoi aurais-je besoin de dkms avec le driver
b43 ? Le driver broadcom-sta, je veux bien (quoique module-assistant
suffise d'après moi), mais le "vieux" b43 ?

Cordialement,
JB



bonjour,

"dit donc le pontus tu va pas faire la leçon à un bouchon
gras" ...

voici ce que me donne :

locate b43.ko

/lib/modules/2.6.38-1-686/kernel/drivers/net/wireless/b43/b43.ko
/lib/modules/2.6.38-2-686/kernel/drivers/net/wireless/b43/b43.ko

donc :

echo -e "b43" »/etc/modules

ou utiliser modconf

slt
bernard

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Jean Baptiste FAVRE
Le #23321451
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 30/04/2011 09:37, Bernard Schoenacker wrote:
Le Fri, 29 Apr 2011 23:52:40 +0200,
Jean Baptiste FAVRE
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 29/04/2011 23:38, Jean Baptiste FAVRE wrote:
On 29/04/2011 20:48, Bernard Schoenacker wrote:
Le Thu, 28 Apr 2011 08:21:29 +0200,
Laurent Guignard


On Sat, 23 Apr 2011 19:29:32 +0200, Jean Baptiste FAVRE wrote:
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Bonjour,
J'ai fait une grosse mise à jour de mon netbook sous Wheezy et je
n'arrive plus à me connecter en Wifi
Network-manager (en version 0.8.3.999-1) refuse d'activer le Wifi
(en fait, il ne réagit pas).

Un downgrade de network-manager plus tard, il me dit maintenant
que "le périphérique n'est pas prêt".

Pourtant, la carte est bien reconnue:
[ 2.037654] b43-pci-bridge 0000:02:00.0: PCI INT A -> GSI 28
(level, low) -> IRQ 28
[ 2.037674] b43-pci-bridge 0000:02:00.0: setting latency timer
to 64 [ 14.779854] b43-phy0: Broadcom 4312 WLAN found (core
revision 15) [ 14.974734] Registered led device: b43-phy0::tx
[ 14.974771] Registered led device: b43-phy0::rx
[ 14.974807] Registered led device: b43-phy0::radio

Les firmware sont installés:
dpkg -l|grep firmware-b43
ii firmware-b43-lpphy-installer 4.174.64.19-4
Installer package for firmware for the b43 driver (LP-PHY
version)

Ce qui est bizarre, c'est qu'avant, je crois me souvenir que le
driver chargeait un bout de firmware; maintenant, plus trace de
ce chargement.

Une idée ?
JB




Bonjour,

Oui je viens d'installer le noyau 2.6.38 en architecture 686 et
j'observe le même problème. En 2.6.32 j'avais du installé le
module broadcom-sta via module-assistant et cela fonctionnait.
En 2.6.38, même avec module-assistant je n'arrive pas à utiliser
le Wifi. J'attends une prochaine version du noyau et je suis
retourné en 2.6.32...

Peut-être quelqu'un a-t-il trouvé la solution ?

Librement.
Laurent





Bonjour,



qui a ommis de mettre dkms et module-assistant en place ?



slt
bernard



Euh... pas moi: j'ai le problème avec les 2 drivers: b43 et
broadcom-sta

Pour une raison que j'ignore, network-manager estime que la carte
n'est pas utilisable et positionne le soft-switch.
Pour le débloquer, l'utilisation de rfkill est obligatoire.

Après quelques tets supplémentaires, je me suis aperçu que wicd
parvient à faire fonctionner le wifi sans problème. Je me dis donc
qu'il ne s'agit pas d'un souci driver.
Par contre, sur un autre portable, le wifi fonctionne parfaitement
avec la même version de network-manager et le driver ath9k

J'ai bien essayé de revenir en noyau 2.6.32, mais sans changement :(
Je vais retenter le coup ce week-end pour voir (la première fois,
je ne crois pas avoir utilisé rfkill).

En attendant, j'ai soumis un rapport de bug sur network-manager:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bugb3863

Wait & see,
JB



Bon, mea culpa, mea maxima culpa.
Je viens de tester le noyau 2.6.32 et le wifi re-fonctionne.
Donc, il s'agirati bien d'un problème kernel.

Du coup Bernard, pourquoi aurais-je besoin de dkms avec le driver
b43 ? Le driver broadcom-sta, je veux bien (quoique module-assistant
suffise d'après moi), mais le "vieux" b43 ?

Cordialement,
JB



bonjour,

"dit donc le pontus tu va pas faire la leçon à un bouchon
gras" ...

voici ce que me donne :

locate b43.ko

/lib/modules/2.6.38-1-686/kernel/drivers/net/wireless/b43/b43.ko
/lib/modules/2.6.38-2-686/kernel/drivers/net/wireless/b43/b43.ko

donc :

echo -e "b43" »/etc/modules

ou utiliser modconf

slt
bernard



Bonjour,
Le problème n'est pas de trouver le driver.

Mon problème est qu'en essayant avec le driver b43 et le noyau 2.6.38,
ça ne fonctionne pas du tout (ni avec wicd ni network-manager). Avec le
driver wl, cela fonctionne, mais uniquement avec wicd.

Le driver wl a été installé à partir des instructions de cette page:
http://wiki.debian.org/wl (donc avec module-assistant)

Donc, je rate peut-être quelque chose en n'utilisant pas dkms, auquel
cas on en revient à ma question: en quoi me trompe-je en n'utilisant que
module-assistant ?

Le noyau 2.6.32 me permettant d'avoir un wifi fonctionnel avec
network-manager, il y a moins d'urgence, sauf que du coup je ne sais pas
trop ce que je dois faire de mon rapport de bug.

Cordialement,
JB
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk2703gACgkQM2eZoKJfKd109gCfaPJxiWfogHIdwkjZHLz0RVdy
NVUAn2T8eLSTimog465S3YVbg7Gvj6T+
=+p3Q
-----END PGP SIGNATURE-----

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Laurent Guignard
Le #23343701
--liOOAslEiF7prFVr
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Bonjour,

Il me semble que le driver ne permet pas de créer le point d'entrée dan s /dev
qui permet d'écrire ou lire ce qui se passe sur l'interface.
J'ai pas vérifié dans /dev mais quand je charge le driver il n'est pas fait
mention d'interface du type ethX ou wlanX ou tout autre.
Il faudrait que je refasse le test mais dans les log j'ai bien le firmware
chargé mais pas de création de l'interface dans le système de fichier s...

Peut-être avez-vous quelque chose du genre ???

Librement


Bonjour,
Le problème n'est pas de trouver le driver.

Mon problème est qu'en essayant avec le driver b43 et le noyau 2.6.38,
ça ne fonctionne pas du tout (ni avec wicd ni network-manager). Avec le
driver wl, cela fonctionne, mais uniquement avec wicd.

Le driver wl a été installé à partir des instructions de cette pa ge:
http://wiki.debian.org/wl (donc avec module-assistant)

Donc, je rate peut-être quelque chose en n'utilisant pas dkms, auquel
cas on en revient à ma question: en quoi me trompe-je en n'utilisant que
module-assistant ?

Le noyau 2.6.32 me permettant d'avoir un wifi fonctionnel avec
network-manager, il y a moins d'urgence, sauf que du coup je ne sais pas
trop ce que je dois faire de mon rapport de bug.

Cordialement,
JB



--
Laurent Guignard, Registered as user #301590 with the Linux Counter
Site : http://www.famille-guignard.org
Blog : http://blog.famille-guignard.org
Projet : http://sicontact.sourceforge.net
GULL de Villefranche sur Saône : http://www.cagull.org

--liOOAslEiF7prFVr
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNxkprAAoJEG2myXvbsReYNroP/jNXWeZiC3OSnT7AIysow7ji
VoT+NTVKk3edvXCgyS33Btn6LBYqKmNROtkMEZ5nXoDaGxzE4D06c0qilvRuFbSF
j6fqarVokuvynwIKYA+MR1lGmtYXLzaJAgVQ1fhuj2Z1EKITzuW8jaCRxX1hkCks
9Bz9imwq0Etx3zfw9yRDCVALch/2b7SUiJNi92A2SjtiEU9hZ8ZUg1DcNcSF2J/O
DbkoHYZpEI8dWqAFDG92pHboB8q3peS15z3torb8bmCwwlG9pouSDQSUBhzETg6Q
C6UwYJc1r04Ke6S3W0DEQwoKFrU40apNeHVE3EJlT+k/MSnOw+q4YcbtXYGYMVRB
K5zOZIQfIVLpP7+uwemGD1ZNSQF5Jx6IcjbYXfDm4VJDjD46cYRZ1LcnZV/6p7ZL
KhpA6Z0njIs/Grj/qwjfVTUf68ghbay4Ux7q0EilpBZ39BD84WNVxCdrJwdo6k6O
HTJlOt3MeiKyKCxXfRHW/k7+16LphiQc724Mik2N9MBRZfFLhOjkIXgcaOQn05Zw
p4KGpZm9cUynloGlxghtOjYIDo+gnim5jerFJZ9N7C2vqg4UxoMuu+GZCOPlJ5Ji
GrSzju/ITGb9ynySFTpO3wwN4hi1eeziaZ6c1hP0Kvrgg8N2N3lZ0PGAjG9jyUDl
uNWqstlZJ6M0q4qbwzUR
=ijRz
-----END PGP SIGNATURE-----

--liOOAslEiF7prFVr--

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Publicité
Poster une réponse
Anonyme